.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  padding: 24px 0;
  background: rgba(0, 9, 74, 0.8);
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-logo {
  font-family: var(--second-family);
  font-weight: 700;
  font-size: 20px;
  line-height: 140%;
  text-transform: uppercase;
  color: #fff;
  transition: color 0.3s ease;
}

.header-logo:hover {
  color: #ff8a00;
}

.page-nav {
  display: none;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 14px;
  line-height: 143%;
  text-transform: uppercase;
  color: #fff;
  border: 1px solid transparent;
  border-radius: 8px;
  padding: 10px;
  transition: border-color 0.3s ease;
}

.page-nav-link:hover {
  color: #ff8a00;
  border-color: #ff8a00;
}

.menu-btn {
  svg {
    fill: none;
    stroke: #fff;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover {
  svg {
    stroke: #ff8a00;
  }
}

@media screen and (min-width: 1440px) {
  .main-section {
    padding: 30px 0;
  }

  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 8;
  padding: 40px;
  padding-top: 120px;
  background: rgba(3, 1, 12, 0.96);
  transform: translateY(-100%);
  transition: transform 1s ease;
}

.menu-nav-list {
  flex-direction: column;
  align-items: flex-start;
  gap: 22px;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);

  border: 2px solid #ff8a00;
  border-radius: 12px;
  padding: 52px 20px;
  box-shadow: 0 2px 0 0 #ff8a00;
  background: #030509;

  transition: transform 0.6s ease;
}

.popup-title {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: 24px;
  line-height: 133%;
  text-align: center;
  color: #fff;
  margin-bottom: 12px;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #fff;
  margin-bottom: 40px;

  span {
    font-weight: 700;
    color: #ff8a00;
  }
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: #fff;
  text-align: center;
  display: block;

  border: 2px solid #fff;
  border-radius: 30px;
  padding: 20px 52px;
  transition:
    color 0.3s ease,
    border-color 0.3s ease;
}

.popup-btn:hover {
  border-color: #ff8a00;
  color: #ff8a00;
}

.popup-wrap {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

@media screen and (min-width: 1440px) {
  .popup-title {
    font-size: 40px;
    margin-bottom: 28px;
  }

  .popup-title {
    font-size: 28px;
    margin-bottom: 12px;
  }

  .popup-text {
    font-size: 16px;
    margin-bottom: 40px;
  }

  .popup-wrap {
    flex-direction: row;
    gap: 16px;
    justify-content: center;
  }

  .popup-btn {
    width: 260px;
    font-size: 16px;
    padding: 20px 52px;
  }
}

/* hero  */

.dashboard {
  padding-top: 233px;
  padding-bottom: 93px;
  background-image: url(../img/block-01.jpg);
  background-position: center;
  background-size: cover;
}

.hero-title {
  font-family: var(--second-family);
  font-weight: 500;
  font-size: 60px;
  color: #e7e2da;
  margin-bottom: 28px;

  span {
    color: #f29a0a;
  }
}

@media screen and (min-width: 1440px) {
  .dashboard {
    padding-top: 434px;
    padding-bottom: 144px;
  }

  .hero-title {
    font-size: 96px;
    width: 900px;
    flex-shrink: 0;
  }

  .hero-text {
    width: 800px;
  }
}

/* elegant  */

.elegant-img {
  width: 100%;
  margin-top: 32px;
  border: 1px solid #adadad;
  border-radius: 12px;
}

@media screen and (min-width: 1440px) {
  .title-wrap {
    display: flex;
    align-items: center;
    gap: 133px;
    margin-bottom: 52px;

    .title {
      margin: 0;
      width: 390px;
      flex-shrink: 0;
    }
  }

  .elegant-img {
    border: none;
    border-radius: 16px;
  }
}

/* private  */

#private {
  background: linear-gradient(180deg, #080c16 0%, #08183f 100%);
}

.private-wrap {
  display: flex;
  flex-direction: column;
  gap: 28px;
  margin-bottom: 28px;

  img {
    width: 100%;
  }

  div {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
}

.private-img3 {
  margin-bottom: 20px;
}

@media screen and (min-width: 1440px) {
  .private-wrap {
    flex-direction: row;
    gap: 40px;
    margin-bottom: 40px;

    img {
      width: auto;
    }
  }

  .private-wrap2 {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 40px;

    img {
      width: auto;
      margin: 0;
    }
  }
}

/* food  */

#food {
  background: linear-gradient(360deg, #080c16 0%, #08183f 100%);
}

.food-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.food-wrapper {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.food-desc {
  font-family: var(--font-family);
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  font-weight: 600;
  color: #ff8a00;
}

.food-img2 {
  display: none;
}

@media screen and (min-width: 768px) {
  .food-img2 {
    display: block;
  }

  .food-img-wrap {
    display: flex;
    gap: 20px;

    img {
      width: calc((100% -20px) / 2);
    }
  }
}

@media screen and (min-width: 1440px) {
  .food-container {
    flex-direction: row;
    align-items: flex-end;
    gap: 20px;

    .title {
      font-size: 62px;
      margin-bottom: 32px;
    }
  }

  .food-img3,
  .food-img4 {
    flex-shrink: 0;
  }
}

/* place  */

@media screen and (min-width: 1440px) {
  #place {
    .place-title {
      width: 550px;
      text-align: start;
      flex-shrink: 0;
    }
  }
}

/* game */

#game {
  background: linear-gradient(180deg, #080c16 0%, #08183f 100%);
}

.game-title-wrap {
  display: flex;
  flex-direction: column;
  gap: 40px;
  margin-bottom: 40px;
}

@media screen and (min-width: 1440px) {
  .game-title-wrap {
    flex-direction: row;
    align-items: center;
    gap: 28px;
    margin-bottom: 28px;

    img {
      flex-shrink: 0;
    }
  }
}

/* main */

#main {
  background: linear-gradient(360deg, #080c16 0%, #08183f 100%);
}

.main-container {
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.main-desc {
  font-family: var(--font-family);
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  font-weight: 700;
  color: #ff8a00;
  margin-bottom: 28px;
}

@media screen and (min-width: 1440px) {
  .main-container {
    flex-direction: row-reverse;
    align-items: flex-end;
    gap: 20px;
  }
  .main-img {
    flex-shrink: 0;
  }
}

/* normal  */

#normal {
  position: relative;
  padding: 100px 0;
}

.normal-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.normal-content {
  border: 1px solid #ff9500;
  border-radius: 20px;
  padding: 36px 12px;
}

@media screen and (min-width: 1440px) {
  #normal {
    padding: 150px 0;
  }

  .normal-content {
    padding: 60px;
  }
}

/* contact   */

#contact {
  background: linear-gradient(180deg, #080c16 0%, #08183f 100%);
}

.map-frame {
  height: 281px;
  border-radius: 12px;
  width: 100%;
  z-index: 2;
  margin: 20px 0;
}

.contact-list {
  display: flex;
  flex-direction: column;
  gap: 24px;

  p {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
    color: #898989;
  }

  a,
  span {
    font-family: var(--font-family);
    font-weight: 400;
    line-height: 150%;
    font-size: 14px;
    color: #fff;
    transition: color 0.3s ease;
  }

  a:hover {
    color: #ff8a00;
  }
}

@media screen and (min-width: 768px) {
  .map-frame {
    height: 388px;
  }
}

@media screen and (min-width: 1440px) {
  .map-frame {
    width: 1060px;
    height: 516px;
    margin: 40px auto;
  }

  .contact-list {
    flex-direction: row;
    width: 1060px;
    margin: 0 auto;
    gap: 24px;
    justify-content: space-between;
  }
}

/* footer */

.footer {
  padding: 44px 0;
  background: #080c16;
}

.footer-logo {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 30px;
  line-height: 140%;
  text-transform: uppercase;
  color: #fff;
  display: block;
  text-align: center;
  transition: color 0.3s ease;
}

.footer-logo:hover {
  color: #ff8a00;
}

.footer-mail {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 10px;
  line-height: 150%;
  letter-spacing: 0.12em;
  text-align: center;
  color: #ff8a00;
  display: block;
  transition: color 0.3s ease;
}

.footer-mail:hover {
  text-decoration: underline;
}

.footer-content {
  padding-top: 16px;
  border-top: 1px solid #ff8a00;
  margin-top: 20px;
}

.footer-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  margin-bottom: 16px;

  a {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 10px;
    line-height: 150%;
    letter-spacing: 0.12em;
    text-align: center;
    color: #fff;
    transition: color 0.3s ease;
  }

  a:hover {
    color: #ff8a00;
  }
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 10px;
  line-height: 150%;
  letter-spacing: 0.1em;
  text-align: center;
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 44px 0;
  }

  .footer-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }

  .footer-list {
    flex-direction: row;
    margin: 0;
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  border: 1px solid #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
  width: 60px;
  border-radius: 50%;

  z-index: 7;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition:
    opacity 0.4s ease,
    border-color 0.4s ease transform 0.4s ease;

  svg {
    fill: none;
    stroke: #fff;
  }
}

#scrollTopBtn.show {
  opacity: 0.5;
  transform: translateY(0);
  pointer-events: auto;
}

#scrollTopBtn.show:hover {
  opacity: 1;
  border-color: #ff8a00;
  svg {
    stroke: #ff8a00;
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(135deg);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
